package org.jboss.cache.aop.test.propagation;

/**
 *
*/
// We are using JDK1.5 annotation.
@org.jboss.cache.aop.annotation.InstanceOfPojoCacheable
public interface StateItem {
   public static final boolean STATE_CHANGED = true;
   public static final boolean STATE_NOT_CHANGED = false;

   public long getItemId();

   public long getState();

   public boolean setState(long state);
}
